ClientFunctionalityReport (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientFunctionalityReport

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientFunctionalityReport

- All Implemented Interfaces:
    Serializable

      public class ClientFunctionalityReport
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientFunctionalityReport()`
    `ClientFunctionalityReport(int id, String name, DeployStatus status)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `DeployStatus` | `getStatus()`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setStatus(DeployStatus status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientFunctionalityReport

          public ClientFunctionalityReport()

    - #### ClientFunctionalityReport

          public ClientFunctionalityReport(int id,
                                   String name,
                                   DeployStatus status)

      Parameters:
        `id` -
        `name` -
        `status` -

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` -

    - #### getName

          public String getName()

      Returns:
        name

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - a name

    - #### getStatus

          public DeployStatus getStatus()

      Returns:

    - #### setStatus

          public void setStatus(DeployStatus status)

      Parameters:
        `status` -

Copyright © 2014. All Rights Reserved.